Main Page Modules Data Structures File List Data Fields Globals Related Pages

# entropySource Struct Reference
[Entropy sources]

`#include <beecrypt.h>`

## Data Fields
const char * | name
const entropyNext | next

## Detailed Description

Methods and parameters for entropy sources. Each specific entropy source MUST be written to be multithread-safe.

Definition at line 52 of file beecrypt.h.

## Field Documentation

const char* entropySource::name

| entropy source name Definition at line 55 of file beecrypt.h.

const entropyNext entropySource::next

| return entropy function Definition at line 57 of file beecrypt.h. Referenced by entropyGatherNext.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h